Create_new_project issue (only created empty folders)

I tried to create a new project but only folders, but not files were created. I’m using windows 10. Do you happen to have a resolution? Thanks!
These are my codes:

In [10]: deeplabcut.create_new_project(‘m-s’,‘Helen’,[‘C:\Users\Helen\Desktop\Test1.avi’])

Created “C:\Users\Helen\DeepLabCut-master\projects\m-s-Helen-2019-08-13\videos”
Created “C:\Users\Helen\DeepLabCut-master\projects\m-s-Helen-2019-08-13\labeled-data”
Created “C:\Users\Helen\DeepLabCut-master\projects\m-s-Helen-2019-08-13\training-datasets”
Created “C:\Users\Helen\DeepLabCut-master\projects\m-s-Helen-2019-08-13\dlc-models”
Creating the symbolic link of the video
You do not have sufficient privilege to perform this operation.

OSError Traceback (most recent call last)
c:\users\helen\anaconda3\envs\dlc-windowsgpu\lib\site-packages\deeplabcut\create_project\new.py in create_new_project(project, experimenter, videos, working_directory, copy_videos, videotype)
117 dst = str(dst)
–> 118 os.symlink(src, dst)
119 except OSError:

OSError: symbolic link privilege not held

During handling of the above exception, another exception occurred:

CalledProcessError Traceback (most recent call last)
in ()
----> 1 deeplabcut.create_new_project(‘m-s’,‘Helen’,[‘C:\Users\Helen\Desktop\Test1.avi’])

c:\users\helen\anaconda3\envs\dlc-windowsgpu\lib\site-packages\deeplabcut\create_project\new.py in create_new_project(project, experimenter, videos, working_directory, copy_videos, videotype)
119 except OSError:
120 import subprocess
–> 121 subprocess.check_call(‘mklink %s %s’ %(dst,src),shell = True)
122 print(‘Created the symlink of {} to {}’.format(src, dst))
123 videos = destinations

c:\users\helen\anaconda3\envs\dlc-windowsgpu\lib\subprocess.py in check_call(*popenargs, **kwargs)
309 if cmd is None:
310 cmd = popenargs[0]
–> 311 raise CalledProcessError(retcode, cmd)
312 return 0
313

CalledProcessError: Command ‘mklink C:\Users\Helen\DeepLabCut-master\projects\m-s-Helen-2019-08-13\videos\Test1.avi C:\Users\Helen\Desktop\Test1.avi’ returned non-zero exit status 1.

Dear Helen,

Welcome to the Forum! Perhaps try to copy the video and check out the “r” i put in your syntax:

deeplabcut.create_new_project(‘m-s’,‘Helen’,[r’C:\Users\Helen\Desktop\Test1.avi’],copy_videos=True)

See help:

Also you might need to delete the previous, failed project folder first…
Cheers,
Alexander

Also, please see the Trouble-shooting WIKI, which covers this issue:

Thank you very much for your help! It works now!

1 Like